Gentoo Archives: gentoo-commits

From: "Michał Górny" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] proj/x11:master commit in: x11-libs/libpciaccess/
Date: Wed, 30 Apr 2014 18:32:44
Message-Id: 1398882750.2c7bf8226a4299cd4d5a254042d06876afb0b921.mgorny@gentoo
commit:     2c7bf8226a4299cd4d5a254042d06876afb0b921
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 30 18:32:30 2014 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr 30 18:32:30 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=2c7bf822

x11-libs/libpciaccess: Use multilib_src_install().

Package-Manager: portage-2.2.10

---
 x11-libs/libpciaccess/libpciaccess-9999.ebuild | 24 +++++++++---------------
 1 file changed, 9 insertions(+), 15 deletions(-)

diff --git a/x11-libs/libpciaccess/libpciaccess-9999.ebuild b/x11-libs/libpciaccess/libpciaccess-9999.ebuild
index a8669db..9f7e538 100644
--- a/x11-libs/libpciaccess/libpciaccess-9999.ebuild
+++ b/x11-libs/libpciaccess/libpciaccess-9999.ebuild
@@ -12,30 +12,24 @@ KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd6
 IUSE="minimal zlib"
 
 DEPEND="!<x11-base/xorg-server-1.5
-	zlib? ( sys-libs/zlib )"
+	zlib? (	sys-libs/zlib[${MULTILIB_USEDEP}] )"
 RDEPEND="${DEPEND}
 	sys-apps/hwids"
 
-src_configure() {
+pkg_setup() {
+	xorg-2_pkg_setup
+
 	XORG_CONFIGURE_OPTIONS=(
 		"$(use_with zlib)"
 		"--with-pciids-path=${EPREFIX}/usr/share/misc"
 	)
-	xorg-2_src_configure
 }
 
-src_install() {
-	xorg-2_src_install
-
-	if ! use minimal; then
-		scanpci_install() {
-			${BASH} "${AUTOTOOLS_BUILD_DIR:-${S}}/libtool" \
-				--mode=install "$(type -P install)" -c \
-				"${AUTOTOOLS_BUILD_DIR:-${S}}/scanpci/scanpci" \
-				"${ED}"/usr/bin || die
-		}
+multilib_src_install() {
+	default
 
-		dodir /usr/bin || die
-		multilib_foreach_impl scanpci_install
+	if multilib_is_native_abi; then
+		dodir /usr/bin
+		${BASH} libtool --mode=install "$(type -P install)" -c scanpci/scanpci "${ED}"/usr/bin || die
 	fi
 }